Uploaded image for project: 'Data Management'
  1. Data Management
  2. DM-4704

Qserv integration tests fail on CentOS7 with gcc 4.8.5

    Details

    • Type: Bug
    • Status: Done
    • Resolution: Done
    • Fix Version/s: None
    • Component/s: Qserv
    • Labels:
      None
    • Templates:
    • Story Points:
      2
    • Sprint:
      DB_W16_12
    • Team:
      Data Access and Database

      Description

      The version of gcc that ships with CentOS7, gcc (GCC) 4.8.5 20150623 (Red Hat 4.8.5-4), appears to miscompile the qserv worker source in a way that makes it impossible to actually run queries. Installing devtoolset-3-toolchain and devtoolset-3-perftools via yum to get gcc 4.9 resolves the issue.

        Attachments

          Container Issues

            Activity

              People

              • Assignee:
                smonkewitz Serge Monkewitz
                Reporter:
                smonkewitz Serge Monkewitz
                Reviewers:
                Fritz Mueller
                Watchers:
                Fritz Mueller, John Gates, Serge Monkewitz
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Summary Panel